Page MenuHomeFreeBSD

Update CMake to 3.9.3
ClosedPublic

Authored by adridg on Sep 20 2017, 8:10 PM.

Details

Summary

New release of CMake, now with latest boost detection.

Test Plan

Builds on 10.3 amd64. Needs an exp-run, anyway.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rakuco requested changes to this revision.Sep 20 2017, 8:13 PM

You also need to update devel/cmake-doc and devel/cmake-gui.

This revision now requires changes to proceed.Sep 20 2017, 8:13 PM

Also bump versions on -doc, -gui (untested)

lgtm, but you must ask for an exp-run before landing.

This revision is now accepted and ready to land.Sep 21 2017, 2:03 PM
devel/cmake/Makefile
5 ↗(On Diff #33264)

You should add a comment before DISTVERSION saying "remember to update cmake-gui and cmake-doc"

Drop patch that was introduced for ceph and Boost (PR 222207) because it
is included in CMake 3.9.3. Mark patch that was upstreamed for 3.10.
Update -doc and -gui.

This revision now requires review to proceed.Sep 22 2017, 10:10 AM

Take mat@'s suggestion and write note to self.

rakuco requested changes to this revision.Sep 22 2017, 10:18 AM
rakuco added inline comments.
devel/cmake/Makefile
7 ↗(On Diff #33308)

You need to drop PORTREVISION.

devel/cmake/files/patch-Modules_Platform_FreeBSD-CXX.cmake
3 ↗(On Diff #33308)

Awesome!

This revision now requires changes to proceed.Sep 22 2017, 10:18 AM

shipit!
we just need an exp-run now

This revision is now accepted and ready to land.Sep 22 2017, 10:24 AM
This revision was automatically updated to reflect the committed changes.